Bug 501234 - gdu-notification-daemon crashes
gdu-notification-daemon crashes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-disk-utility (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 03:50 EDT by Ralf Corsepius
Modified: 2010-06-28 08:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:35:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug buddy bugreport (207.09 KB, text/plain)
2009-07-02 14:53 EDT, Dave Allan
no flags Details
Similar crash on a system without a sound card (207.20 KB, text/plain)
2009-07-06 10:48 EDT, Edwin Buck
no flags Details
Bug Report for gdu-notification-daemon (206.88 KB, text/plain)
2009-07-28 04:53 EDT, Daniel Childs
no flags Details
text file generated automatically after application crashed at startup (206.99 KB, text/plain)
2009-07-31 15:18 EDT, wkopcha
no flags Details
gdu-notification-daemon-bugreport.txt (206.94 KB, text/plain)
2009-08-21 05:44 EDT, Karel Volný
no flags Details
gdu-notification-daemon bug report (208.56 KB, text/plain)
2009-08-21 21:06 EDT, Adam Clark
no flags Details
Yet another bug-buddy report (212.76 KB, text/plain)
2009-08-26 02:43 EDT, Ole Sandum
no flags Details

  None (edit)
Description Ralf Corsepius 2009-05-18 03:50:07 EDT
Description of problem:
gdu-notification-daemon crashes during log-in.

Version-Release number of selected component (if applicable):
gnome-disk-utility-0.3-1.fc11.i586

How reproducible:
Always, on one machine. Another one doesn't expose this issue.

Steps to Reproduce:
1. boot machine
2. login
  
Actual results:
A bug buddy "save bug report dialog" pops up, telling
"The application gdu-notification-daemon has crashed"

Expected results:
Function.

Additional info:
* For me, the issue popped up the first time on 2009-05-17, when rebooting after a yum update. Therefore, I am inclined to think an update shortly before this date causes or triggers this bug.

* System: current rawhide (F11-i586).
Comment 1 Matthias Clasen 2009-05-26 19:49:35 EDT
Any chance you could obtain a stacktrace for us ?
Comment 2 Bug Zapper 2009-06-09 12:01:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Herbert Carl Meyer 2009-06-10 10:48:00 EDT
I am getting this error with the fedora11 live CD. I am unable to use the live CD to install, live CD desktop performs very poorly. 
System is a Dell Dimension 4100 desktop, 256 meg ram, intel graphics adapter.
Comment 4 Matthias Clasen 2009-06-10 11:30:52 EDT
How does the crash in gdu-notification-daemon affect your ability to install from the live cd ?
Comment 5 Steve Rodolff 2009-06-16 19:28:57 EDT
The installation run completely fine.
This error happens after the first login after the Welcome process.
Comment 6 Dave Allan 2009-07-02 14:53:05 EDT
Created attachment 350327 [details]
bug buddy bugreport

I hit this bug today on F11 in a KVM virtual machine.  Here's the bug buddy bug report attachment.  HTH.
Comment 7 Edwin Buck 2009-07-06 10:48:28 EDT
Created attachment 350619 [details]
Similar crash on a system without a sound card

Bug report of a crash on another system.

As far as I can recall, gdu-notification-daemon has always crashed on login for Fedora 11 on this hardware.  One item to note, this system lacks a sound card.
Comment 8 Jim McEvoy 2009-07-25 17:23:36 EDT
I have seen the bugbuddy crash when booting the i686 LiveCD but not with the x86_64 LiveCD on HP DL360 G6 servers with yum install.  This server does not have a sound card.

I have found a workaround for the slow performance when booting to the LiveCD on these servers. Add the following kernel arguments  by hitting tab in the grub menu:
vga=791 nopat xdriver=vesa nomodeset
Comment 9 Daniel Childs 2009-07-28 04:51:03 EDT
I got this same bug when booting with the LiveCD. I will attach the bugreport.
Comment 10 Daniel Childs 2009-07-28 04:53:42 EDT
Created attachment 355377 [details]
Bug Report for gdu-notification-daemon
Comment 11 wkopcha 2009-07-31 15:18:57 EDT
Created attachment 355847 [details]
text file generated automatically after application crashed at startup
Comment 12 Karel Volný 2009-08-21 05:44:56 EDT
Created attachment 358213 [details]
gdu-notification-daemon-bugreport.txt

I've tried to boot the installation livecd under qemu, and the first thing to appear after autologin is the error report ...
Comment 13 Adam Clark 2009-08-21 21:06:04 EDT
Created attachment 358293 [details]
gdu-notification-daemon bug report

I created a VM and installed FC11 yesterday without incident.  I was able to update all components with YUM with expected results.  I restarted last night to apply the new kernel and logged in without incident.

Today, I found the VM responding slow, so I restarted.  When I logged in, I got similar results as noted in the other posts.  This attachment is for reference, if it helps.
Comment 14 Ole Sandum 2009-08-26 02:43:58 EDT
Created attachment 358673 [details]
Yet another bug-buddy report

Same behaviour, crashes during login.
Comment 15 Bug Zapper 2010-04-27 10:22:44 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2010-06-28 08:35:06 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.